### Method

# Gimp Image select_rectangle

since: 2.8

#### Declaration [src]

    gboolean
    gimp_image_select_rectangle (
      GimpImage* image,
      GimpChannelOps operation,
      gdouble x,
      gdouble y,
      gdouble width,
      gdouble height
    )

#### Description [src]

Create a rectangular selection over the specified image;

This tool creates a rectangular selection over the specified image. The rectangular region can be either added to, subtracted from, or replace the contents of the previous selection mask.

This procedure is affected by the following context setters: gimp_context_set_feather(), gimp_context_set_feather_radius().

Available since: 2.8

#### Parameters

`operation`

  Type: `GimpChannelOps`

  The selection operation.

`x`

  Type: `gdouble`

  X coordinate of upper-left corner of rectangle.

`y`

  Type: `gdouble`

  Y coordinate of upper-left corner of rectangle.

`width`

  Type: `gdouble`

  The width of the rectangle.

`height`

  Type: `gdouble`

  The height of the rectangle.

#### Return value

Type: `gboolean`

TRUE on success.